Index: /ipk/source/picons_HD_astra19.2_1_0/CONTROL/control
===================================================================
--- /ipk/source/picons_HD_astra19.2_1_0/CONTROL/control	(revision 3783)
+++ /ipk/source/picons_HD_astra19.2_1_0/CONTROL/control	(revision 3783)
@@ -0,0 +1,10 @@
+Package: enigma2-plugin-picons-hd.picons.astra19.2
+Version: 1.0
+Architecture: sh4
+OE: 3d HD Picons for Astra 19.2 from 06.08.2010
+Section: extra
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: 3d HD Picons for Astra 19.2 from 06.08.2010
Index: /ipk/source/picons_HD_astra19.2_1_0/CONTROL/postinst
===================================================================
--- /ipk/source/picons_HD_astra19.2_1_0/CONTROL/postinst	(revision 3783)
+++ /ipk/source/picons_HD_astra19.2_1_0/CONTROL/postinst	(revision 3783)
@@ -0,0 +1,6 @@
+#!/bin/sh
+TMP=/tmp/.picon
+echo "successfully installed"
+echo "syncing disk"
+sync
+exit 0
Index: /ipk/source/picons_HD_astra19.2_1_0/CONTROL/postrm
===================================================================
--- /ipk/source/picons_HD_astra19.2_1_0/CONTROL/postrm	(revision 3783)
+++ /ipk/source/picons_HD_astra19.2_1_0/CONTROL/postrm	(revision 3783)
@@ -0,0 +1,7 @@
+#!/bin/sh
+TMP=/tmp/.picon
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+exit 0
Index: /ipk/source/picons_HD_astra19.2_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/picons_HD_astra19.2_1_0/CONTROL/preinst	(revision 3783)
+++ /ipk/source/picons_HD_astra19.2_1_0/CONTROL/preinst	(revision 3783)
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+TMP=/tmp/.picon
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+
+if [ -e /etc/.fullusb ] || [ -e /etc/.usbimage ]; then
+	echo "detected USB Image...."
+	echo "ok..."
+elif [ "$model" = "ufs912" ]; then
+	echo "detected Boxtype : $model...."
+	echo "ok..."
+else
+	if [ `ls -la /var/usr/local/share/enigma2 | grep "/var/swap/picon" | wc -l` -ge 1 ]; then
+		echo "check ok installing to swapstick...."
+	else
+		echo "ERROR: this package won`t fit in your flash..."
+		echo "...you need a swapstick to install the package on your $model...!"
+		echo "aborting installation..."
+		exit 1
+	fi
+fi
+
+
+echo "installing hd picons for Astra 19.2..."
+echo "checking OS"
+if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then
+	echo ---------------------------
+	echo DONT USE this IPK Package!!
+	echo ---
+	echo Only for AAF Image!!
+	echo ---------------------------
+	exit 1
+fi
+exit 0
Index: /ipk/source/picons_HD_astra19.2_1_0/CONTROL/prerm
===================================================================
--- /ipk/source/picons_HD_astra19.2_1_0/CONTROL/prerm	(revision 3783)
+++ /ipk/source/picons_HD_astra19.2_1_0/CONTROL/prerm	(revision 3783)
@@ -0,0 +1,7 @@
+#!/bin/sh
+TMP=/tmp/.picon
+echo "syncing disk"
+sync
+
+echo "removing hd picons for Astra 19.2 ..."
+exit 0
Index: /ipk/source/swapnetwork_Sambaserver_3_0_28b/CONTROL/preinst
===================================================================
--- /ipk/source/swapnetwork_Sambaserver_3_0_28b/CONTROL/preinst	(revision 3782)
+++ /ipk/source/swapnetwork_Sambaserver_3_0_28b/CONTROL/preinst	(revision 3783)
@@ -10,5 +10,9 @@
 echo "Some Plugins will not work correctly on your $model!"
 echo ""
-if [ "$model" = "" ]; then
+if [ "$model" = "ufs912" ]; then
+	echo "You don`t need this package on your $model !!"
+	echo "Aborting installation..."
+	exit 1
+elif [ "$model" = "" ]; then
 	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
 	echo "Aborting installation..."
Index: /ipk/source/swapnetwork_libsmbclient_3_0_28b/CONTROL/preinst
===================================================================
--- /ipk/source/swapnetwork_libsmbclient_3_0_28b/CONTROL/preinst	(revision 3782)
+++ /ipk/source/swapnetwork_libsmbclient_3_0_28b/CONTROL/preinst	(revision 3783)
@@ -10,5 +10,9 @@
 echo "Some Plugins will not work correctly on your $model!"
 echo ""
-if [ "$model" = "" ]; then
+if [ "$model" = "ufs912" ]; then
+	echo "You don`t need this package on your $model !!"
+	echo "Aborting installation..."
+	exit 1
+elif [ "$model" = "" ]; then
 	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
 	echo "Aborting installation..."
